> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Content

> Delete content by ID.

Permanently removes a content item from the knowledge base.
This action cannot be undone. Associated vectors and chunks
may also be removed depending on the storage configuration.

Args:
    content_id: The unique identifier for the content
    
Returns:
    No content (204) on success
    
Example:
    DELETE /contents/con_abc123xyz

Raises:
    404: If content not found
    403: If not authorized to delete



## OpenAPI

````yaml api-reference/openapi.json delete /api/v1/contents/{content_id}
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/contents/{content_id}:
    delete:
      tags:
        - Contents
      summary: Delete Content
      description: |-
        Delete content by ID.

        Permanently removes a content item from the knowledge base.
        This action cannot be undone. Associated vectors and chunks
        may also be removed depending on the storage configuration.

        Args:
            content_id: The unique identifier for the content
            
        Returns:
            No content (204) on success
            
        Example:
            DELETE /contents/con_abc123xyz

        Raises:
            404: If content not found
            403: If not authorized to delete
      operationId: delete_content_api_v1_contents__content_id__delete
      parameters:
        - name: content_id
          in: path
          required: true
          schema:
            type: string
            title: Content Id
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````